
QGIS Application - Bug report #15521

Concave hull broken

2016-09-02 04:57 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master_2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23445

Description

in QGIS > 2.14

I also think that the tool is missing a parameter to allow group the points, otherwise it will be always computed the CH of all the point of the

input dataset.

2016-09-02T12:22:43    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "/usr/share/qgis/python/plugins/processing/algs/qgis/Delaunay.py", line 88, in processAlgorithm

                progress.setPercentage(int(current * total))

            AttributeError: 'NoneType' object has no attribute 'setPercentage'

2016-09-02T12:22:43    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "/usr/share/qgis/python/plugins/processing/algs/qgis/ConcaveHull.py", line 69, in processAlgorithm

                delone_triangles = processing.runalg("qgis:delaunaytriangulation", layer, None, progress=None)['OUTPUT']

              File "/usr/share/qgis/python/plugins/processing/tools/general.py", line 75, in runalg

                alg = Processing.runAlgorithm(algOrName, None, *args, **kwargs)

              File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 304, in runAlgorithm

                ret = runalg(alg, progress)

              File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmExecutor.py", line 52, in runalg

                progress.error(e.msg)

            AttributeError: 'NoneType' object has no attribute 'error'

Associated revisions

Revision ee9c684a - 2016-09-13 04:01 PM - Alexander Bruy

[processing] fix progress reporting (fix #15521)

(cherry picked from commit b14dfa65fe8c5db852bac0899f8aac64b91faada)

Revision d26063c6 - 2016-09-13 04:01 PM - Alexander Bruy

[processing] fix progress reporting (fix #15521)
(cherry picked from commit b14dfa65fe8c5db852bac0899f8aac64b91faada)

Revision 9dfd7b26 - 2016-09-13 04:03 PM - Alexander Bruy

[processing] fix progress reporting (fix #15521)

(cherry picked from commit b14dfa65fe8c5db852bac0899f8aac64b91faada)

Conflicts:

    python/plugins/processing/gui/AlgorithmDialogBase.py

Revision 8ac1460d - 2016-09-14 08:20 AM - Alexander Bruy

[processing] fix progress reporting (fix #15521)

Revision 898addfa - 2016-10-12 03:04 PM - Alexander Bruy

[processing] avoid division by zero (fix #15521)

History

#1 - 2016-09-13 06:59 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"ee9c684a6c66d8d4175ec2f069b767940d3e04d8".

#2 - 2016-10-02 05:51 PM - Giovanni Manghi

- Status changed from Closed to Reopened

- File pontos_ch.zip added

Sorry Alex, I have to reopen. On the latest master on osgeo4w:

2016-10-03T01:48:27    1    There were errors executing the algorithm.

2016-10-03T01:48:28    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\algs\\qgis\\ConcaveHull.py", line 75, in processAlgorithm

                counter = 50. / delaunay_layer.featureCount()

            ZeroDivisionError: float division by zero

#3 - 2016-10-12 06:02 AM - Alexander Bruy

- Status changed from Reopened to Closed

Fixed in changeset commit:"898addfa3314ad23c17ee8d64f36c292a82b6cff".
#4 - 2016-10-16 06:19 AM - Piotr Pociask

Algorithm isn't working because Delaunay triangulation can't handle MultiPoint geometries. I've created pull request that fix this.

Files

pontos_ch.zip 6.73 KB 2016-10-02 Giovanni Manghi
https://github.com/qgis/QGIS/pull/3609

